Package org.eclipse.cdt.core.templateengine.process.processes

## Class SetEnvironmentVariable

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.process.ProcessRunner
  - - org.eclipse.cdt.core.templateengine.process.processes.SetEnvironmentVariable

    public class SetEnvironmentVariable
    extends ProcessRunner

A template process for setting an environment variable in all of the new project's build configurations. E.g.,

      <process type="org.eclipse.cdt.core.SetEnvironmentVariable">
          <simple name="projectName" value="$(projectName)"/>
          <complex-array name="variables">
              <element>
                  <simple name="name" value="QMAKE"/>
                  <simple name="value" value="$(qmake)"/>
              </element>
          </complex-array>
      </process>

This will create an environment variable called "QMAKE" and will set the value to be the value entered in a field (called qmake) in the New Project wizard.

Since:
  5.6

### Constructor Summary

Constructors
`SetEnvironmentVariable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process​(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.cdt.core.templateengine.process.ProcessRunner

`areArgumentsMatchingRequiredParameters, getArgumentsMismatchMessage, getProcessMessage, getProcessParameters, missingArgException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetEnvironmentVariable

    public SetEnvironmentVariable()

### Method Detail

#### process

    public void process​(TemplateCore template,
                        ProcessArgument[] args,
                        String processId,
                        org.eclipse.core.runtime.IProgressMonitor monitor)
                 throws ProcessFailureException

Specified by:
  `process` in class `ProcessRunner`
Throws:
  `ProcessFailureException`